> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# List contract amendments

GET https://api.letsdeel.com/rest/contracts/{contract_id}/amendments

Retrieves the paginated list of amendments associated with a given contract, with optional filtering by amendment status and sign status.

 **Token scopes**: `contracts:read`, `contracts:write`

Reference: https://developer.deel.com/api/embedded/ic-endpoints/contractor-amendments/get-contract-amendments

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `contract_id` (string, required) — Unique identifier of the contract

### Query parameters

- `statuses` (list of enum, optional) — Filter by work statement status.
  - Allowed values: `INITIAL`, `PENDING`, `ACTIVE`, `OUTDATED`, `APPROVED`, `DECLINED`
- `sign_statuses` (list of enum, optional) — Filter by work statement sign status.
  - Allowed values: `PENDING`, `WAITING_FOR_APPROVAL`, `APPROVED`, `DECLINED`
- `limit` (integer, optional, default: 20) — Maximum number of work statements to return.
- `cursor` (string, optional) — Cursor for pagination.

## Response

### 200

Successful operation.

- `data` (list of ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaDataItems, required) — List of work statements (amendments).
- `cursor` (string, required, nullable) — Cursor for the next page of results.
- `has_more` (boolean, required) — Indicates if there are more work statements available.
- `total_count` (integer, required) — Total number of work statements matching the filters.

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `errors` (list of ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, required) — Unique identifier for the work statement.
- `status` (enum, required) — Current status of the work statement.
  - Allowed values: `INITIAL`, `PENDING`, `ACTIVE`, `OUTDATED`, `APPROVED`, `DECLINED`
- `created_at` (string, required) — Timestamp when the work statement was created.
- `updated_at` (string, required) — Timestamp when the work statement was last updated.
- `sign_status` (enum, required) — Current sign status of the work statement.
  - Allowed values: `PENDING`, `WAITING_FOR_APPROVAL`, `APPROVED`, `DECLINED`
- `rate` (double, optional, nullable) — Compensation rate per scale. The amount paid according to the specified scale (e.g., 5000 per month).
- `scale` (enum, optional, nullable) — Payment frequency/scale that defines how often the rate is paid.
  - Allowed values: `hourly`, `daily`, `weekly`, `monthly`, `biweekly`, `semimonthly`, `custom`
- `contract_name` (string, optional, nullable) — Name of the associated contract.
- `contract_type` (enum, optional, nullable) — Type of the associated IC contract.
  - Allowed values: `milestones`, `time_based`, `ongoing_time_based`, `pay_as_you_go_time_based`, `commission`, `payg_milestones`, `payg_tasks`
- `currency_code` (string, optional, nullable) — Currency code in ISO 4217 format (e.g., USD, EUR, GBP).
- `effective_date` (string, optional, nullable) — Effective date when the work statement becomes active.

### ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Machine-readable error code
- `message` (string, optional) — Human-readable explanation of the error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "status": "ACTIVE",
      "created_at": "2024-01-15T10:00:00.000Z",
      "updated_at": "2024-01-20T14:30:00.000Z",
      "sign_status": "APPROVED",
      "rate": 5000,
      "scale": "monthly",
      "contract_name": "Software Development Contract",
      "contract_type": "ongoing_time_based",
      "currency_code": "USD",
      "effective_date": "2024-02-01"
    }
  ],
  "cursor": "eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMDowMDowMC4wMDBaIiwicHVibGljX2lkIjoiZGVmNDU2In0",
  "has_more": true,
  "total_count": 150
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/contracts/37nex2x/amendments"

querystring = {"cursor":"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMDowMDowMC4wMDBaIiwicHVibGljX2lkIjoiYWJjMTIzIn0","limit":"10","sign_statuses":"[\"PENDING\",\"APPROVED\"]","statuses":"[\"PENDING\",\"ACTIVE\"]"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/contracts/37nex2x/amendments?cursor=eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMDowMDowMC4wMDBaIiwicHVibGljX2lkIjoiYWJjMTIzIn0&limit=10&sign_statuses=%5B%22PENDING%22%2C%22APPROVED%22%5D&statuses=%5B%22PENDING%22%2C%22ACTIVE%22%5D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/contracts/37nex2x/amendments?cursor=eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMDowMDowMC4wMDBaIiwicHVibGljX2lkIjoiYWJjMTIzIn0&limit=10&sign_statuses=%5B%22PENDING%22%2C%22APPROVED%22%5D&statuses=%5B%22PENDING%22%2C%22ACTIVE%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/contracts/37nex2x/amendments?cursor=eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMDowMDowMC4wMDBaIiwicHVibGljX2lkIjoiYWJjMTIzIn0&limit=10&sign_statuses=%5B%22PENDING%22%2C%22APPROVED%22%5D&statuses=%5B%22PENDING%22%2C%22ACTIVE%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/contracts/37nex2x/amendments?cursor=eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMDowMDowMC4wMDBaIiwicHVibGljX2lkIjoiYWJjMTIzIn0&limit=10&sign_statuses=%5B%22PENDING%22%2C%22APPROVED%22%5D&statuses=%5B%22PENDING%22%2C%22ACTIVE%22%5D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/contracts/37nex2x/amendments?cursor=eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMDowMDowMC4wMDBaIiwicHVibGljX2lkIjoiYWJjMTIzIn0&limit=10&sign_statuses=%5B%22PENDING%22%2C%22APPROVED%22%5D&statuses=%5B%22PENDING%22%2C%22ACTIVE%22%5D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/contracts/37nex2x/amendments?cursor=eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMDowMDowMC4wMDBaIiwicHVibGljX2lkIjoiYWJjMTIzIn0&limit=10&sign_statuses=%5B%22PENDING%22%2C%22APPROVED%22%5D&statuses=%5B%22PENDING%22%2C%22ACTIVE%22%5D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/contracts/37nex2x/amendments?cursor=eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMDowMDowMC4wMDBaIiwicHVibGljX2lkIjoiYWJjMTIzIn0&limit=10&sign_statuses=%5B%22PENDING%22%2C%22APPROVED%22%5D&statuses=%5B%22PENDING%22%2C%22ACTIVE%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```